@charset "UTF-8";
/*
    Se importan las hojas de estilo de parciales. Las hojas de estilos
    con _name (parciales) no se compilan, y no es necesario incluir el
    "_" al importarlas aqui. Se importan aqui y se van a compilar en .css,
    generando después el archivo main.css para el navegador.
    Este archivo es el que sí puede leer el navegador y debe ir en los
    estilos que carga el html, o en el archivo index.js de React.
*/
/*------------------------------------*\
    #Variables
\*------------------------------------*/
/*
    Las variables se deben cargar primero, siempre van hasta arriba ya
    que todos los demás archivos las usan.
*/
/*
    Se van a crear todas las variables a usar en el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Tamaños de pantalla
\*------------------------------------*/
/*------------------------------------*\
    #Media-querys
\*------------------------------------*/
/*
    Todas las variables aqui pertenecen a css, y deben ir despues que las
    de sass, ya que los @media se usan con variables de sass.
*/
@import url("https://fonts.googleapis.com/css?family=Josefin+Sans:300,600,700|Montserrat:400,600&display=swap");
:root {
  /*------------------------------------*\
      #Tipografia
  \*------------------------------------*/
  --font-title: "Josefin Sans",
      sans-serif,
      Arial,
      Helvetica;
  --font-text: "Montserrat",
      sans-serif,
      Arial,
      Helvetica;
  /*------------------------------------*\
      #Colores
  \*------------------------------------*/
  --brand-primary: #1E6EA6;
  --brand-secondary: #024881;
  --black: #2d2f31;
  --white: #dce0e4;
  --gray-darker: #202020;
  --gray-dark: #2f3640;
  --gray: #535c68;
  --gray-light: #939ba5;
  --gray-lighter: #bdc3c7;
  --color-warning: #f39c12;
  --color-error: #c0392b;
  --color-important: #8e44ad;
  --color-login: #27ae60;
  --color-logout: #2980b9;
  --color-base: #942BA8;
  --color-xs: #EE5A24;
  --color-sm: #168882;
  --color-md: #c47e29;
  --color-lg: #c00f35;
  --color-xl: #009432;
  --color-xx: #3742fa;
  /*------------------------------------*\
      #Tamaños
  \*------------------------------------*/
  --font-project: 16px;
  --ritmo: 1.75;
  --spaced-text: calc(1em * var(--ritmo));
  --grid-wrapp: calc(var(--font-project) * var(--ritmo));
  --grid-hub: calc(var(--grid-wrapp) / 2);
  --grid: calc(var(--grid-hub) / 2);
  /*
      Estos tamaños únicamente deben ser usados en tamaños de fuente.
      .......
      Estos tamaños se deben ajustar al modificar el tamaño de letra
      base del proyecto, ya que las medidas que están en color gris
      no van a corresponder con las reales si se llegan a cambiar.
  */
  --txt-base: calc(var(--font-project) / 4);
  --txt-2: calc(var(--font-project) / 2);
  --txt-3: calc(var(--txt-base) * 3);
  --txt-4: var(--font-project);
  --txt-5: calc(var(--txt-base) * 5);
  --txt-6: calc(var(--txt-base) * 6);
  --txt-7: calc(var(--txt-base) * 7);
  --txt-8: calc(var(--txt-base) * 8);
  --txt-9: calc(var(--txt-base) * 9);
  --txt-10: calc(var(--txt-base) * 10);
  --txt-12: calc(var(--txt-base) * 12);
  --txt-14: calc(var(--txt-base) * 14);
  --txt-16: calc(var(--txt-base) * 16);
  /*
      Estos tamaños nunca deben ser usados en tamaños de fuente.
      .......
      Estos tamaños se deben ajustar al modificar el tamaño de letra
      base del proyecto, ya que las medidas que están en color gris
      no van a corresponder con las reales si se llegan a cambiar.
  */
  --box-base: var(--grid);
  --box-2: calc(var(--box-base) * 2);
  --box-3: calc(var(--box-base) * 3);
  --box-4: calc(var(--box-base) * 4);
  --box-5: calc(var(--box-base) * 5);
  --box-6: calc(var(--box-base) * 6);
  --box-7: calc(var(--box-base) * 7);
  --box-8: calc(var(--box-base) * 8);
  --box-9: calc(var(--box-base) * 9);
  --box-10: calc(var(--box-base) * 10);
  --box-12: calc(var(--box-base) * 12);
  --box-14: calc(var(--box-base) * 14);
  --box-16: calc(var(--box-base) * 16);
  --box-18: calc(var(--box-base) * 18);
  --box-20: calc(var(--box-base) * 20);
  --box-22: calc(var(--box-base) * 22);
  --box-24: calc(var(--box-base) * 24);
  --box-28: calc(var(--box-base) * 28);
  --box-36: calc(var(--box-base) * 36);
  --box-40: calc(var(--box-base) * 40);
  --box-48: calc(var(--box-base) * 48);
  --box-56: calc(var(--box-base) * 56);
  --box-64: calc(var(--box-base) * 64);
  --edge-sm: 0.25em;
  --edge-md: 0.75em;
  --edge-lg: 1.5em;
  --edge-xx: 2.5em;
  /*------------------------------------*\
      #Variables generales del pryecto
  \*------------------------------------*/
  --nav-height: var(--box-8);
}
@media screen and (min-width: 1024px) {
  :root {
    --nav-height: var(--box-10);
  }
}

/*
    Se van a crear todos los mixins generales del proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Background azul
\*------------------------------------*/
/*
    En dispositivos moviles al tocar un elemento como <a> o un
    <button>, estos tienen un fondo azul para indicar que se hace
    clik en ellos. Con este atributo se elimina eso.
*/
/*------------------------------------*\
    #Imagen con relación de aspecto
\*------------------------------------*/
/*
    Para mantener el ritmo siempre dentro de las dimensiones, las imgenes
    debe tener altos establecidos en las variables.
    Se pasa el alto que se le desea aplicar a la imagen, y se multiplica por
    un factor que calcula el ancho de la imagen con aspecto de resolución
    16:9 ó widescreen.

    16:9  = 1.78
    16:10 = 1.6
    4:3   = 1.33
    1:1   = 1
*/
/*------------------------------------*\
    #Lados iguales
\*------------------------------------*/
/*
    Permite colocar el width y el height del mismo tamaño.
*/
/*
    Permite colocar el padding en el eje "x" y eje "y" del mismo
    tamaño respectivamente.
*/
/*
    Permite colocar el margin en el eje "x" y eje "y" del mismo
    tamaño respectivamente.
*/
/*------------------------------------*\
    #CSS-general
\*------------------------------------*/
/*
    Con tiene los estilos para resetear los artributos por defecto que
    contienen los elementos.
*/
/*
    Se van a crear todos los estilos generales del proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Estilos-general
\*------------------------------------*/
html {
  /*
      AL cambiar este tamaño de letra, se ajustan las
      dimensiones de todo el proyecto
  */
  color: var(--black);
  font-family: var(--font-text);
  font-size: var(--txt-4);
  line-height: var(--spaced-text);
  box-sizing: border-box;
}

* {
  box-sizing: border-box;
  outline: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
*::before, *::after {
  box-sizing: border-box;
}

body {
  width: 100%;
  margin: 0;
}

main {
  display: block;
}

figure {
  margin: 0;
}

h1, h2, h3, h4, h5, h6 {
  margin-right: 0;
  margin-left: 0;
  font-family: var(--font-title);
}

p {
  margin: 0;
}

ul, ol {
  padding: 0;
  margin: 0;
  list-style: none;
}

a {
  display: inline-block;
  text-decoration: none;
}

label {
  display: inline-block;
  font-size: var(--txt-4);
}

select {
  appearance: none;
}

textarea {
  resize: none;
}

button {
  padding: 0;
  border: 1px solid transparent;
  background: transparent;
}

fieldset {
  padding: 0;
  margin: 0;
  border: 0;
}

legend {
  width: 100%;
  padding: 0;
  font-size: var(--txt-4);
}

/*------------------------------------*\
    #Estilos base
\*------------------------------------*/
/*
    Se van a crear todas las tipografias para el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Tipografia
\*------------------------------------*/
/*------------------------------------*\
    #Tamaños de los h1 al h6
\*------------------------------------*/
.heading1 {
  margin: var(--box-6) 0;
  font-size: var(--txt-12);
  line-height: var(--box-8);
}
@media screen and (min-width: 720px) {
  .heading1 {
    margin: var(--box-7) 0;
    font-size: var(--txt-14);
    line-height: var(--box-10);
  }
}
@media screen and (min-width: 1260px) {
  .heading1 {
    margin: var(--box-8) 0;
    font-size: var(--txt-16);
    line-height: var(--box-12);
  }
}

.heading2 {
  margin: var(--box-5) 0;
  font-size: var(--txt-9);
  line-height: var(--box-7);
}
@media screen and (min-width: 720px) {
  .heading2 {
    margin: var(--box-6) 0;
    font-size: var(--txt-12);
    line-height: var(--box-8);
  }
}
@media screen and (min-width: 1260px) {
  .heading2 {
    margin: var(--box-7) 0;
    font-size: var(--txt-14);
    line-height: var(--box-10);
  }
}

.heading3 {
  margin: var(--box-5) 0;
  font-size: var(--txt-9);
  line-height: var(--box-6);
}
@media screen and (min-width: 720px) {
  .heading3 {
    margin: var(--box-5) 0;
    font-size: var(--txt-9);
    line-height: var(--box-7);
  }
}
@media screen and (min-width: 1260px) {
  .heading3 {
    margin: var(--box-6) 0;
    font-size: var(--txt-12);
    line-height: var(--box-8);
  }
}

.heading4 {
  margin: var(--box-4) 0;
  font-size: var(--txt-8);
  line-height: var(--box-5);
}
@media screen and (min-width: 720px) {
  .heading4 {
    margin: var(--box-5) 0;
    font-size: var(--txt-9);
    line-height: var(--box-6);
  }
}
@media screen and (min-width: 1260px) {
  .heading4 {
    margin: var(--box-5) 0;
    font-size: var(--txt-9);
    line-height: var(--box-7);
  }
}

.heading5 {
  margin: var(--box-4) 0;
  font-size: var(--txt-7);
  line-height: var(--box-5);
}
@media screen and (min-width: 720px) {
  .heading5 {
    margin: var(--box-4) 0;
    font-size: var(--txt-8);
    line-height: var(--box-5);
  }
}
@media screen and (min-width: 1024px) {
  .heading5 {
    margin: var(--box-5) 0;
    font-size: var(--txt-9);
    line-height: var(--box-6);
  }
}

.heading6 {
  margin: var(--box-3) 0;
  font-size: var(--txt-6);
  line-height: var(--box-4);
}
@media screen and (min-width: 720px) {
  .heading6 {
    margin: var(--box-4) 0;
    font-size: var(--txt-7);
    line-height: var(--box-5);
  }
}
@media screen and (min-width: 1024px) {
  .heading6 {
    margin: var(--box-4) 0;
    font-size: var(--txt-8);
    line-height: var(--box-5);
  }
}

/*------------------------------------*\
    #Margen de parrafos
\*------------------------------------*/
/*
    Los elementos <p> y <h1> al <h6> deben ser hijos del elemento
    que contenga esta clase, para que se aplique a todos por igual.
    Los margenes en elementos <p>, se aplican siempre en bottom
    excepto al último elemento.
*/
.content h1, .content h2, .content h3, .content h4 {
  margin: 0;
}
.content h5 {
  margin: 0 0 var(--box-base);
}
@media screen and (min-width: 720px) {
  .content h5 {
    margin: 0;
  }
}
.content h6 {
  margin: 0 0 var(--box-base);
}
@media screen and (min-width: 1260px) {
  .content h6 {
    margin: 0;
  }
}
.content p:not(:last-child) {
  margin-bottom: var(--box-3);
}

/*------------------------------------*\
    #Titulos
\*------------------------------------*/
/*
    Aplica estos estilos a los elementos <h1>...<h6> que
    tengan tengan esta clase.
*/
.title {
  color: var(--brand-primary);
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}

.subtitle {
  color: var(--brand-secondary);
  font-weight: 600;
  text-align: center;
}

/*------------------------------------*\
    #Titulos agrupados
\*------------------------------------*/
/*
    Todos los titulos que se metan en un grupo, se comportarán de la
    siguiente manera.
    -El primero no tendrá margen en "botton", pero si "top"
    -El último no tendrá margen en "top", pero si "botton"
    -Los que estén entre el primero y el último, no tendrán margen.
*/
.title-group > *:not(:first-child) {
  margin-top: 0;
}
.title-group > *:not(:last-child) {
  margin-bottom: 0;
}

/*
    Se van a crear todas las clases de estructura para el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Contenedor
\*------------------------------------*/
/*
    Coloca un padding en "x" al elemento que tenga esta clase, y
    limita si ancho dependiendo de la medida del dispositivo para
    la que se esté diseñando.
*/
.wrapper {
  width: 100%;
  padding-left: var(--box-2);
  padding-right: var(--box-2);
}
@media screen and (min-width: 720px) {
  .wrapper {
    width: 95%;
    padding-left: 0;
    padding-right: 0;
    margin: auto;
  }
}
@media screen and (min-width: 1024px) {
  .wrapper {
    width: 90%;
  }
}
@media screen and (min-width: 1260px) {
  .wrapper {
    width: 85%;
  }
}
@media screen and (min-width: 1480px) {
  .wrapper {
    width: 75%;
    max-width: 1920px;
  }
}

/*------------------------------------*\
    #Margen top y bottom para secciones
\*------------------------------------*/
/*
    Mantiene un margin-top si el <header> es fixed o absolute
    desde un inicio. las variables para calculaer el margin,
    corresponden al height del <header>.
    Si este tamaño cambia, automaticamente lo hará esta clase.
*/
.below-header {
  margin-top: var(--nav-height);
}

/*
    Padding vertical para las secciones.
*/
.section {
  padding-top: var(--box-4);
  padding-bottom: var(--box-12);
}
@media screen and (min-width: 550px) {
  .section {
    padding-top: var(--box-5);
    padding-bottom: var(--box-14);
  }
}
@media screen and (min-width: 720px) {
  .section {
    padding-top: var(--box-6);
    padding-bottom: var(--box-16);
  }
}
@media screen and (min-width: 1260px) {
  .section {
    padding-top: var(--box-7);
    padding-bottom: var(--box-18);
  }
}

/*------------------------------------*\
    #Tamaño de las imagenes
\*------------------------------------*/
/*
    Aplica para toda imagen que tenga un elemento padre con
    esta clase.
*/
.img {
  position: relative;
  display: flex;
}
.img img {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
  color: var(--black);
  text-align: center;
  object-fit: cover;
}

/*
    Se van a crear todas las clases de botones para el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Buttons
\*------------------------------------*/
.btn {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  height: var(--box-7);
  padding-left: var(--box-3);
  padding-right: var(--box-3);
  cursor: pointer;
  color: var(--white);
  font-size: var(--txt-4);
  background: linear-gradient(to left, #078cb1, #af2fb9);
  border-radius: var(--edge-sm);
  border: 1px solid transparent;
  transition: 250ms ease-in;
  transition-property: background, color, transform, box-shadow, border-color;
  /*------------------------------------*\
      #Composición de botones
  \*------------------------------------*/
}
.btn:hover, .btn:focus, .btn:active {
  background: linear-gradient(to left, #087b9b, #9e2aa7);
  box-shadow: 2px 2px 10px var(--gray-darker);
}
.btn--large {
  width: 100%;
}
@media screen and (min-width: 720px) {
  .btn--large {
    width: var(--box-48);
  }
}
.btn--azul-motion {
  overflow: hidden;
  border-radius: 0;
  border: 0;
  background: #0a4779;
}
.btn__line-decoration {
  position: absolute;
}
.btn__line-decoration:nth-child(1) {
  top: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: linear-gradient(to left, var(--brand-primary), var(--brand-secondary));
  animation: motionTop 1000ms linear infinite;
}
@keyframes motionTop {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}
.btn__line-decoration:nth-child(2) {
  top: 0;
  right: 0;
  width: 3px;
  height: 100%;
  background: linear-gradient(to top, var(--brand-primary), var(--brand-secondary));
  animation: motionRight 1000ms linear infinite;
  animation-delay: 500ms;
}
@keyframes motionRight {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(100%);
  }
}
.btn__line-decoration:nth-child(3) {
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: linear-gradient(to right, var(--brand-primary), var(--brand-secondary));
  animation: motionBottom 1000ms linear infinite;
}
@keyframes motionBottom {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}
.btn__line-decoration:nth-child(4) {
  top: 0;
  left: 0;
  width: 3px;
  height: 100%;
  background: linear-gradient(to bottom, var(--brand-primary), var(--brand-secondary));
  animation: motionLeft 1000ms linear infinite;
  animation-delay: 500ms;
}
@keyframes motionLeft {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(-100%);
  }
}

/*
    Se van a crear todas las clases de inputs para el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/
/*------------------------------------*\
    #Controles del formulario
\*------------------------------------*/
.textarea, .select, .input {
  width: 100%;
  padding-right: var(--box-2);
  padding-left: var(--box-2);
  color: var(--black);
  font-family: var(--font-text);
  font-size: var(--txt-3);
  border-radius: var(--edge-sm);
  border-color: var(--white);
  border-style: solid;
  background: var(--white);
  transition: border-color 250ms ease-in;
}

.input {
  height: var(--box-4);
}
.input:hover, .input:focus, .input:active {
  border-color: var(--brand-primary);
}
.input--small {
  width: var(--box-28);
}
.input--mr {
  margin-right: var(--box-4);
}

.select {
  position: relative;
  height: var(--box-4);
}
.select:hover, .select:focus, .select:active {
  border-color: var(--brand-primary);
}

.textarea {
  height: var(--box-28);
  padding-top: var(--box-2);
  padding-bottom: var(--box-2);
}
.textarea:hover, .textarea:focus, .textarea:active {
  border-color: var(--brand-primary);
}

/*------------------------------------*\
    #Estilos-componentes
\*------------------------------------*/
/*------------------------------------*\
  #Formulario-Envio de dados
\*------------------------------------*/
.form {
  position: relative;
  width: 100%;
  padding-left: var(--box-4);
  padding-right: var(--box-4);
  padding-bottom: var(--box-4);
  margin-top: var(--box-14);
  border-radius: var(--edge-md);
  background: #7b91a7;
}
@media screen and (min-width: 720px) {
  .form {
    width: 70%;
    margin-right: auto;
    margin-left: auto;
    padding-left: var(--box-18);
    padding-right: var(--box-18);
    padding-bottom: var(--box-2);
  }
}
.form__btn-color {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: var(--box-base);
  margin-bottom: var(--box-4);
  margin-right: var(--box-4);
  border-radius: var(--edge-sm);
  background: var(--brand-secondary);
}
.form__next {
  width: var(--box-3);
  height: var(--box-3);
}
.form__field {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  margin-bottom: var(--box-4);
}
.form__icon {
  width: var(--box-2);
  height: var(--box-2);
  justify-content: center;
  align-items: center;
  margin-right: var(--box-2);
}
.form .input:focus ~ .form__text {
  font-size: var(--txt-2);
  transform: translateY(calc(-1 * var(--box-3)));
}
.form__text {
  position: absolute;
  top: 0;
  left: var(--box-6);
  color: var(--gray-light);
  font-size: var(--txt-3);
  font-weight: bold;
  transition: 250ms ease-in;
  transition-property: transform, font-size, color;
  /*
    Se aplican estos estilos cuando se detecta con js, que el <input>
    contiene texto. Con js se hace un toggle de esta clase a cada <input>
  */
}
.form__text--is-active {
  font-size: var(--txt-2);
  color: var(--brand-primary);
  transform: translateY(calc(-1 * var(--box-3)));
}
.form__buttton-send {
  margin-top: var(--box-3);
  margin-bottom: var(--box-3);
  text-align: center;
}
.form__first-row {
  display: flex;
}
.form__first-row__col {
  width: 100%;
}
.form__first-row__col:not(:last-child) {
  margin-right: var(--box-4);
}
.form__last-row {
  display: flex;
}

.summary {
  width: 700px;
  margin-top: var(--box-8);
  margin-bottom: var(--box-20);
  border-radius: var(--edge-sm);
  background: #f0f0f0;
  box-shadow: 3px 2px 10px var(--gray-darker);
}
.summary__body {
  position: relative;
  padding: var(--box-2) var(--box-10);
}
.summary__body::before {
  position: absolute;
  top: 0;
  left: 50%;
  width: 2px;
  height: 100%;
  content: "";
  background: var(--brand-secondary);
  transform: translateX(-50%);
}
.summary__field {
  display: flex;
  margin-bottom: var(--box-base);
}
.summary__title-data {
  margin-top: 0;
  margin-bottom: var(--box-base);
  color: var(--brand-secondary);
  font-size: var(--txt-4);
  text-transform: uppercase;
}
.summary__title-data:not(:first-child) {
  margin-top: var(--box-8);
}
.summary__item {
  width: 50%;
  color: var(--gray);
}
.summary__item:not(:first-child) {
  margin-left: var(--box-18);
}
.summary__item--bold {
  color: var(--black);
  font-weight: bold;
}
.summary__text-small {
  font-size: var(--txt-3);
}

/*# sourceMappingURL=main.css.map */
